=== Extensions/RawDC/CMakeLists.txt ===
include_directories( ${CMAKE_CURRENT_SOURCE_DIR}/libraw )

SET(libraw_LIB_SRCS ${CMAKE_CURRENT_SOURCE_DIR}/libraw/internal/dcraw_common.cpp
                    ${CMAKE_CURRENT_SOURCE_DIR}/libraw/internal/dcraw_fileio.cpp
                    ${CMAKE_CURRENT_SOURCE_DIR}/libraw/internal/foveon.cpp
                    ${CMAKE_CURRENT_SOURCE_DIR}/libraw/src/libraw_cxx.cpp
                    ${CMAKE_CURRENT_SOURCE_DIR}/libraw/src/libraw_c_api.cpp
   )

set( RAW_DC_SRCS
     RawDC.cpp )

add_library( RawDC SHARED ${RAW_DC_SRCS} ${libraw_LIB_SRCS} )
target_link_libraries( RawDC GTLImageIO )

# __STDC_LIMIT_MACROS is needed by LLVM's DataTypes.h
add_definitions( "-D__STDC_LIMIT_MACROS" )
add_definitions( -DCOUMPONENT_NAME=\"\\\"RawDC\\\"\" )

# Install target
install( TARGETS RawDC  DESTINATION ${GTLIMAGEIO_EXTENSIONS_INSTALL_DIR} )
# install( FILES ImageDC.h DESTINATION ${INCLUDE_INSTALL_DIR}/GTLImageIO ) # NO REASON TO INSTALL HEADERS FOR NOW
