=== OpenCTL/tests/arithmetic/CMakeLists.txt ===

set( TESTS_FILES
  addition_good.ctl
  substraction_good.ctl
  addition_bad.ctl
  substraction_bad.ctl
  multiplication.ctl
  shift.ctl
  orandnot.ctl
  bitsoperations.ctl
  comparisons.ctl
  division.ctl
  modulo.ctl
  )

FOREACH( TEST_FILE ${TESTS_FILES} )
  ADD_TEST(${TEST_FILE} ${CTLI} -L ${CMAKE_CURRENT_SOURCE_DIR}/.. ${CMAKE_CURRENT_SOURCE_DIR}/${TEST_FILE})
ENDFOREACH( TEST_FILE )
