=== OpenCTL/tests/parse/CMakeLists.txt ===

set( TESTS_FILES
  multilinecomment.ctl
  singlelinecomment.ctl
  ctlversion.ctl
  namespace.ctl
  struct.ctl
  constant.ctl
  return_in_if.ctl
  simplecoumpoundinitializer.ctl
  structcoumpoundinitializer.ctl
  function_empty.ctl
  function_empty_parameter_0.ctl
  function_empty_parameter_1.ctl
  function_empty_parameter_2.ctl
  function_empty_parameter_3.ctl
  function_empty_parameter_4.ctl
   expression_simple.ctl
  expression_complex.ctl
  function_variabledefinition.ctl
  function_structuredefinition.ctl
  function_assignement.ctl
  function_expression.ctl
  function_compound_statement.ctl
  function_call_function.ctl
  function_for_statement.ctl
  function_for_empty_statement.ctl
  function_if_statement.ctl
  function_print_statement.ctl
  function_return_statement.ctl
  function_while_statement.ctl
  function_while_complex_statement.ctl
  function_output_variable.ctl
  function_use_global_constant.ctl
  function_expression_complex.ctl
  unaryoperator_tilde_integer.ctl
  variable_scope.ctl
  varying.ctl
  function_scope.ctl
  )

FOREACH( TEST_FILE ${TESTS_FILES} )
  ADD_TEST(${TEST_FILE} ${CTLC} --no-std-lib -L ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/${TEST_FILE})
ENDFOREACH( TEST_FILE )

set( TESTS_FAIL_FILES
  ctlversionunsupported.ctl
  namespacedouble.ctl
  nestednamespace.ctl
  unaryoperator_tilde_float.ctl
  expression_fail_1.ctl
  expression_fail_2.ctl
  function_empty_parameter_fail.ctl
  name_conflict.ctl
  function_name_conflict.ctl
  global_const_non_const_initializer.ctl
  function_output_not_variable.ctl
  function_out_of_scope.ctl
  affect_constant.ctl
  convert_to_void.ctl
  )

FOREACH( TEST_FILE ${TESTS_FAIL_FILES} )
  ADD_TEST(${TEST_FILE} ${CMAKE_CURRENT_SOURCE_DIR}/../../../sdk/invertresult.sh ${CTLC} -L ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/${TEST_FILE})
ENDFOREACH( TEST_FILE )
