=== OpenShiva/tests/parse/CMakeLists.txt ===

set( TESTS_FILES
  metadata.shiva
  kernel.shiva
  for.shiva
  region.shiva
  import.shiva
  multipledependent.shiva
  dependentarray.shiva
  cstyleconvertinexpressions.shiva
  hints.shiva
  minimwidthheight.shiva
  )

FOREACH( TEST_FILE ${TESTS_FILES} )
  ADD_TEST(${TEST_FILE} ${SHIVAC} -L ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/${TEST_FILE})
ENDFOREACH( TEST_FILE )

set( TESTS_FAIL_FILES
  samefunctionsignature.shiva
  dependentpixel.shiva
  constpixel.shiva
  metadatargb.shiva
  )

FOREACH( TEST_FILE ${TESTS_FAIL_FILES} )
  ADD_TEST(${TEST_FILE} ${CMAKE_CURRENT_SOURCE_DIR}/../../../sdk/invertresult.sh ${SHIVAC} ${CMAKE_CURRENT_SOURCE_DIR}/${TEST_FILE})
ENDFOREACH( TEST_FILE )
