=== OpenShiva/tests/stdlib/CMakeLists.txt ===

set( TESTS_FILES
  deg2rad.shiva
  floor.shiva
  length.shiva
  ceil.shiva
  fract.shiva
  )

FOREACH( TEST_FILE ${TESTS_FILES} )
  ADD_TEST(${TEST_FILE} ${SHIVATESTER} ${CMAKE_CURRENT_SOURCE_DIR}/${TEST_FILE})
ENDFOREACH( TEST_FILE )
