=== OpenShiva/tests/vectors/CMakeLists.txt ===

set( TESTS_FILES
  creation.shiva
  copy.shiva
  copy4.shiva
  operations.shiva
  coumpoundcreation.shiva
  functioncalling.shiva
  functionreturning.shiva
  )

FOREACH( TEST_FILE ${TESTS_FILES} )
  ADD_TEST(${TEST_FILE} ${SHIVATESTER} ${CMAKE_CURRENT_SOURCE_DIR}/${TEST_FILE})
ENDFOREACH( TEST_FILE )
