=== debian/changelog ===
opengtl (0.9.14-0ubuntu6) maverick; urgency=low

  * Explicitely use llvm-2.7 and llvm-config-2.7. LP: #632727.
  * Link using the shared libLLVM-2.7.
  * Remove the llvm noise from the symbols files.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 21 Sep 2010 15:20:03 +0200

opengtl (0.9.14-0ubuntu5) maverick; urgency=low

  * Update libopenctl0.7.symbols for armel

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 23 Jun 2010 10:40:23 +0100

opengtl (0.9.14-0ubuntu4) maverick; urgency=low

  * Fix symbols file for amd64

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 22 Jun 2010 11:26:21 +0000

opengtl (0.9.14-0ubuntu2) maverick; urgency=low

  * Fix build-depend, should be llvm-2.7-dev
  * Add build-dep on texlive-latex-base:

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 21 Jun 2010 16:56:24 +0100

opengtl (0.9.14-0ubuntu1) maverick; urgency=low

  * New upstream release
  * Add .symbols files
  * Split up into separate packages for each library
  * Use 0.7 as package suffix to match soname

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 21 Jun 2010 13:02:17 +0100
