=== debian/control ===
Source: opengtl
Section: graphics
Priority: extra
Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
XSBC-Original-Maintainer: Jonathan Riddell <jriddell@ubuntu.com>
Build-Depends: debhelper (>= 7), cmake, llvm-2.7-dev, texlive-latex-base, texlive-binaries, imagemagick, libpng-dev, zlib1g-dev, texlive-latex-recommended
Standards-Version: 3.8.4
Homepage: http://www.opengtl.org/

Package: libgtlcore0.7
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: libgtlcore0
Conflicts: libgtlcore0
Description: Graphics Transformation Libraries
 OpenGTL, Graphics (or Generics) Transformation Libraries (Languages).
 .
 Tools, languages and libraries to create generic transformation for
 graphics. Those transformations could then be used by different
 programs
 .
 This package contains the libgtlcore and libshiva libraries.

Package: libgtlimageio0.7
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: libgtlcore0, libgtlcore-dev
Conflicts: libgtlcore0, libgtlcore-dev
Description: Graphics Transformation Libraries Image IO
 OpenGTL, Graphics (or Generics) Transformation Libraries (Languages).
 .
 Tools, languages and libraries to create generic transformation for
 graphics. Those transformations could then be used by different
 programs
 .
 This package contains the libgtlimageio library.

Package: libopenshiva0.7
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: libgtlcore0
Conflicts: libgtlcore0
Description: Graphics Transformation Libraries Shiva
 OpenGTL, Graphics (or Generics) Transformation Libraries (Languages).
 .
 Tools, languages and libraries to create generic transformation for
 graphics. Those transformations could then be used by different
 programs
 .
 Shiva is a programming language intented to transform an image by
 applying a kernel-like transformation.
 .
 This package contains the libopenshiva library.

Package: libopenctl0.7
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: libopenctl0
Conflicts: libopenctl0
Description: OpenCTL from Graphics Transformation Libraries
 OpenGTL, Graphics (or Generics) Transformation Libraries (Languages).
 .
 Tools, languages and libraries to create generic transformation for
 graphics. Those transformations could then be used by different
 programs
 .
 This package contains the OpenCTL (Colour Transformation Language)
 library.

Package: opengtl-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libgtlcore0.7 (= ${binary:Version}), 
 libgtlimageio0.7 (= ${binary:Version}), libopenshiva0.7 (= ${binary:Version}),
 libopenctl0.7 (= ${binary:Version})
Replaces: libgtlcore-dev, libopenctl-dev
Conflicts: libgtlcore-dev, libopenctl-dev
Description: Graphics Transformation Libraries development files
 OpenGTL, Graphics (or Generics) Transformation Libraries (Languages).
 .
 Tools, languages and libraries to create generic transformation for
 graphics. Those transformations could then be used by different
 programs
 .
 This package contains development files for OpenGTL libraries.

Package: opengtl-tools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Graphics Transformation Libraries
 OpenGTL, Graphics (or Generics) Transformation Libraries (Languages).
 .
 Tools, languages and libraries to create generic transformation for
 graphics. Those transformations could then be used by different
 programs
 .
 This package contains some tools that are useful when developing for
 OpenGTL, or to use some of its functionality from the command line:
  - ctlc compile a ctl program
  - ctli execute a function from a ctl program
  - shivac compile a shiva kernel
  - shiva apply a kernel on a set of images
