## opengtl 0.9.15

=== CMakeLists.txt ===
--- 
+++ 
@@ -12,7 +12,7 @@
 
 set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/modules )
 
-set(OPENGTL_VERSION "0.9.14")
+set(OPENGTL_VERSION "0.9.15")
 set(OPENGTL_LIB_VERSION ${OPENGTL_VERSION})
 set(OPENGTL_LIB_SOVERSION "0.7")
 
@@ -45,9 +45,9 @@
 configure_file(config-endian.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-endian.h )
 
 find_package(LLVM REQUIRED)
-if( NOT MSVC AND NOT LLVM_VERSION STREQUAL "2.7" ) # There is no way with MSVC to know the llvm version
-  message(FATAL_ERROR "LLVM 2.7 is required.")
-endif( NOT MSVC AND NOT LLVM_VERSION STREQUAL "2.7" )
+if( NOT MSVC AND NOT LLVM_VERSION STREQUAL "2.8" ) # There is no way with MSVC to know the llvm version
+  message(FATAL_ERROR "LLVM 2.8 is required.")
+endif( NOT MSVC AND NOT LLVM_VERSION STREQUAL "2.8" )
 
 if(MSVC)
   add_definitions(/FIiso646.h)
