=== OpenShiva/CMakeLists.txt ===
include_directories( ${CMAKE_CURRENT_SOURCE_DIR} )

add_definitions( ${OPENGTL_BUILD_DEFINITION} )

set(SHIVAC "${CMAKE_CURRENT_BINARY_DIR}/tools/compiler/shivac")
set(SHIVAI "${CMAKE_CURRENT_BINARY_DIR}/tools/interpreter/shivai")
set(SHIVATESTER "${CMAKE_CURRENT_BINARY_DIR}/tools/tester/shivatester")


set(OPENSHIVA_VERSION ${OPENGTL_VERSION})
set(OPENSHIVA_LIB_VERSION ${OPENGTL_LIB_VERSION})
set(OPENSHIVA_LIB_SOVERSION ${OPENGTL_LIB_SOVERSION})

add_subdirectory(OpenShiva)
add_subdirectory(tools)
if(OPENGTL_BUILD_TESTS)
  add_subdirectory(tests)
endif(OPENGTL_BUILD_TESTS)
add_subdirectory(doc)
