=== OpenGTL/GTLCore/CMakeLists.txt ===
if(OPENGTL_BUILD_TESTS)
  add_subdirectory(tests)
endif(OPENGTL_BUILD_TESTS)

# Find llvm jit, interpreter and native
if(MSVC)
  set( LLVM_LIBS
      ${LLVM_LIBRARIES_PATH}/LLVMCore.lib
      ${LLVM_LIBRARIES_PATH}/LLVMipo.lib
      ${LLVM_LIBRARIES_PATH}/LLVMInterpreter.lib
      ${LLVM_LIBRARIES_PATH}/LLVMJIT.lib
      ${LLVM_LIBRARIES_PATH}/LLVMExecutionEngine.lib
      ${LLVM_LIBRARIES_PATH}/LLVMLinker.lib
      ${LLVM_LIBRARIES_PATH}/LLVMArchive.lib
      ${LLVM_LIBRARIES_PATH}/LLVMBitReader.lib
      ${LLVM_LIBRARIES_PATH}/LLVMBitWriter.lib
      ${LLVM_LIBRARIES_PATH}/LLVMX86AsmParser.lib
      ${LLVM_LIBRARIES_PATH}/LLVMX86AsmPrinter.lib
      ${LLVM_LIBRARIES_PATH}/LLVMX86CodeGen.lib
      ${LLVM_LIBRARIES_PATH}/LLVMSelectionDAG.lib
      ${LLVM_LIBRARIES_PATH}/LLVMAsmPrinter.lib
      ${LLVM_LIBRARIES_PATH}/LLVMCodeGen.lib
      ${LLVM_LIBRARIES_PATH}/LLVMScalarOpts.lib
      ${LLVM_LIBRARIES_PATH}/LLVMTransformUtils.lib
      ${LLVM_LIBRARIES_PATH}/LLVMipa.lib
      ${LLVM_LIBRARIES_PATH}/LLVMAnalysis.lib
      ${LLVM_LIBRARIES_PATH}/LLVMTarget.lib
      ${LLVM_LIBRARIES_PATH}/LLVMMC.lib
      ${LLVM_LIBRARIES_PATH}/LLVMX86Info.lib
      ${LLVM_LIBRARIES_PATH}/LLVMSupport.lib
      ${LLVM_LIBRARIES_PATH}/LLVMSystem.lib )
else(MSVC)
  FIND_LLVM_LIBS( ${LLVM_CONFIG_EXECUTABLE} "native bitwriter linker bitreader jit interpreter support ipo" LLVM_LIBS LLVM_NATIVE_OBJECTS )
endif(MSVC)

include_directories( ${LLVM_INCLUDE_DIR} )

## Generate macros.h file

configure_file(Macros.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/Macros.h )

## GTLCore library ##

set(GTLCore_SRCS
  AbstractImage.cpp
  Array.cpp
  Buffer.cpp
  BufferImage.cpp
  Debug.cpp
  ChannelsFlags.cpp
  Color.cpp
  CompilationMessage.cpp
  CompilationMessages.cpp
  Function.cpp
  Image.cpp
  Parameter.cpp
  PixelDescription.cpp
  ProgressReport.cpp
  ScopedName.cpp
  String.cpp
  Transform.cpp
  Type.cpp
  TypesManager.cpp
  Value.cpp
  Version.cpp
# Internal files
  CompilerBase_p.cpp
  ConvertCenter_p.cpp
  ErrorMessages_p.cpp
  Function_p.cpp
  FunctionCaller_p.cpp
  FloatHalfConverter_p.cpp
  LexerBase_p.cpp
  MemoryManager_p.cpp
  ModuleData_p.cpp
  ParserBase_p.cpp
  SharedPointer.cpp
  Token_p.cpp
  Type_p.cpp
  TypesManager_p.cpp
  VariableNG_p.cpp
  VariablesManager_p.cpp
  VirtualMachine_p.cpp
# AST
  AST/AccessorExpression.cpp
  AST/Annotation.cpp
  AST/BinaryExpression.cpp
  AST/ConvertExpression.cpp
  AST/CompoundExpression.cpp
  AST/ConstantCompoundExpression.cpp
  AST/GarbageCollectionStatement.cpp
  AST/GenerationVisitor.cpp
  AST/ExpressionResult.cpp
  AST/Expression.cpp
  AST/FunctionDeclaration.cpp
  AST/Node.cpp
  AST/Statement.cpp
  AST/Tree.cpp
  AST/UnaryExpression.cpp
# ASTBackend
  ASTBackend/ExpressionResult.cpp
  ASTBackend/GenerationVisitor.cpp
# LLVMBackend
  LLVMBackend/CodeGenerator_p.cpp
  LLVMBackend/ExpressionResult_p.cpp
  LLVMBackend/ExpressionGenerationContext_p.cpp
  LLVMBackend/GenerationContext_p.cpp
  LLVMBackend/Visitor_p.cpp
# Metadata
  Metadata/Debug_p.cpp
  Metadata/Entry.cpp
  Metadata/Group.cpp
  Metadata/ParameterEntry.cpp
  Metadata/TextEntry.cpp
  Metadata/ValueEntry.cpp
  Metadata/Factory_p.cpp
# wrappers
  wrappers/Allocate.cpp
  wrappers/ProgressReportWrap.cpp
  wrappers/TransformWrap_p.cpp
  ${LLVM_NATIVE_OBJECTS}
  )


# Create GTLCore library
add_library(GTLCore SHARED ${GTLCore_SRCS} ${llvm_objects})

if(NOT MSVC AND NOT APPLE)
set(EXTRA_GTLCORE_LINK_OPTIONS -Wl,-u,_ZN4llvm15ExecutionEngine9createJITEPNS_6ModuleEPSsPNS_16JITMemoryManagerENS_10CodeGenOpt5LevelEbNS_9CodeModel5ModelE )
elseif(APPLE)
set(EXTRA_GTLCORE_LINK_OPTIONS -Wl,-u,__ZN4llvm15ExecutionEngine9createJITEPNS_6ModuleEPSsPNS_16JITMemoryManagerENS_10CodeGenOpt5LevelEbNS_9CodeModel5ModelE )
endif()

target_link_libraries(GTLCore ${LLVM_LDFLAGS} ${LLVM_LIBS} ${EXTRA_GTLCORE_LINK_OPTIONS})

# Set the ABI version of the library
set_target_properties(GTLCore PROPERTIES VERSION ${OPENGTL_LIB_VERSION} SOVERSION ${OPENGTL_LIB_SOVERSION} )

# __STDC_LIMIT_MACROS is needed by LLVM's DataTypes.h
add_definitions( "-D__STDC_LIMIT_MACROS" )
add_definitions( "-D__STDC_CONSTANT_MACROS" )
add_definitions( -DCOUMPONENT_NAME="GTLCore" )

# installation
install(TARGETS GTLCore ${INSTALL_TARGETS_DEFAULT_ARGS} )
install( FILES
  AbstractImage.h
  Array.h
  Buffer.h
  BufferImage.h
  ChannelsFlags.h
  Color.h
  CompilationMessage.h
  CompilationMessages.h
  Export.h
  Function.h
  ${CMAKE_CURRENT_BINARY_DIR}/Macros.h
  Image.h
  Parameter.h
  PixelDescription.h
  ProgressReport.h
  Region.h
  ScopedName.h
  StdTypes.h
  String.h
  Transform.h
  Type.h
  TypesManager.h
  Value.h
  Version.h
  DESTINATION ${INCLUDE_INSTALL_DIR}/GTLCore )

install( FILES Metadata/ParameterEntry.h Metadata/Entry.h Metadata/Group.h Metadata/TextEntry.h DESTINATION ${INCLUDE_INSTALL_DIR}/GTLCore/Metadata )

# Create and install pc file
configure_file("GTLCore.pc.cmake" "${CMAKE_CURRENT_BINARY_DIR}/GTLCore.pc" @ONLY)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/GTLCore.pc DESTINATION ${LIB_INSTALL_DIR}/pkgconfig)
