=== OpenCTL/tests/complextypes/CMakeLists.txt ===

set( TESTS_FILES
  struct.ctl
  structarray.ctl
  arraystruct.ctl
  array.ctl
  arrayarray.ctl
  initarray.ctl
  arraysimplecoumpoundinitialisation.ctl
  arrayarraysimplecoumpoundinitialiser.ctl
  arrayfunctioncoumpoundinitialisation.ctl
  arrayargfunction.ctl
  structsimplecoumpoundinitialiser.ctl
  structarraysimplecoumpoundinitialiser.ctl
  structarrayarraysimplecoumpoundinitialiser.ctl
  structfunctioncoumpoundinitialisation.ctl
  copystruct.ctl
  copyarray.ctl
  returnstruct.ctl
  returnarray.ctl
  constarraynosize.ctl
  returnarrayarray.ctl
  arrayoverflow.ctl
  )

FOREACH( TEST_FILE ${TESTS_FILES} )
  ADD_TEST(${TEST_FILE} ${CTLI} -L ${CMAKE_CURRENT_SOURCE_DIR}/.. ${CMAKE_CURRENT_SOURCE_DIR}/${TEST_FILE})
ENDFOREACH( TEST_FILE )
