=== OpenShiva/tests/misc/CMakeLists.txt ===

set( TESTS_FILES
  clamp.shiva
  )

FOREACH( TEST_FILE ${TESTS_FILES} )
  ADD_TEST(${TEST_FILE} ${SHIVATESTER} -c ${CMAKE_CURRENT_SOURCE_DIR}/${TEST_FILE} ${OPENGTL_TESTS_DATA}/${OPENGTL_TESTS_DATA_RESULTS_DIR}/${TEST_FILE}.png)
ENDFOREACH( TEST_FILE )
