=== debian/changelog ===
opengtl (0.9.15-0ubuntu3) oneiric; urgency=low

  * Cherry-pick upstream commit c6f1381966ff as infinite-loop-fix.diff
    to fix krita hanging on launch. (LP: #815992)

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 26 Jul 2011 12:20:50 +0200

opengtl (0.9.15-0ubuntu2) natty; urgency=low

  * Use common symbols files for all architectures
    - Update symbols files using pkgkde-symbolshelper
    - Add pkg-kde-tools to build-depends

 -- Scott Kitterman <scott@kitterman.com>  Wed, 08 Dec 2010 22:53:42 -0500

opengtl (0.9.15-0ubuntu1) natty; urgency=low

  * New upstream release:
    - Bump llvm build-depend to llvm-2.8-dev
    - Update debian/patches/shared-llvm-lib.diff for LLVM 2.8
    - Update symbols files

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Tue, 26 Oct 2010 18:07:51 -0400
