=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: opengtl
 Section: graphics
 Priority: extra
-Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Jonathan Riddell <jriddell@ubuntu.com>
-Build-Depends: debhelper (>= 7), cmake, llvm-2.7-dev, texlive-latex-base, texlive-binaries, imagemagick, libpng-dev, zlib1g-dev, texlive-latex-recommended
+Build-Depends: debhelper (>= 7), cmake, llvm-2.8-dev, texlive-latex-base, texlive-binaries, imagemagick, libpng-dev, zlib1g-dev, texlive-latex-recommended, pkg-kde-tools
 Standards-Version: 3.8.4
 Homepage: http://www.opengtl.org/
