## opengtl 0.9.16

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,15 +6,16 @@
 
 option(OPENGTL_BUILD_TESTS "Build tests" OFF)
 option(OPENGTL_ENABLE_DEBUG_OUTPUT "Enable (heavy) debug output (only do that for debugging OpenGTL" OFF)
+option(OPENGTL_ENABLE_DEBUG_THREAD "Test if functions are accessed by different thread" OFF)
 option(OPENGTL_FULL_WARNINGS "Build OpenGTL with all warnings" OFF)
 option(OPENGTL_CODE_COVERAGE "Activate code coverage for tests" OFF)
 option(OVERIDE_LLVM_ASSERT "Use this only for debug purposes, this break thread safety." OFF)
 
 set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/modules )
 
-set(OPENGTL_VERSION "0.9.15")
+set(OPENGTL_VERSION "0.9.16")
 set(OPENGTL_LIB_VERSION ${OPENGTL_VERSION})
-set(OPENGTL_LIB_SOVERSION "0.7")
+set(OPENGTL_LIB_SOVERSION "0.8")
 
 set(LIB_INSTALL_DIR ${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX}/)
 set(INCLUDE_INSTALL_DIR ${CMAKE_INSTALL_PREFIX}/include/)
@@ -45,14 +46,17 @@
 configure_file(config-endian.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-endian.h )
 
 find_package(LLVM REQUIRED)
-if( NOT MSVC AND NOT LLVM_VERSION STREQUAL "2.8" ) # There is no way with MSVC to know the llvm version
-  message(FATAL_ERROR "LLVM 2.8 is required.")
-endif( NOT MSVC AND NOT LLVM_VERSION STREQUAL "2.8" )
+
+if( NOT MSVC AND NOT LLVM_VERSION STREQUAL "3.0" ) # There is no way with MSVC to know the llvm version
+  message(FATAL_ERROR "LLVM 3.0 is required.")
+endif()
 
 if(MSVC)
   add_definitions(/FIiso646.h)
   include_directories(${CMAKE_CURRENT_SOURCE_DIR}/msvc/build)
   install( FILES msvc/inst/stdint.h DESTINATION ${INCLUDE_INSTALL_DIR} )
+  set(LLVM_COMPILED_WITHOUT_ASSERTS true)
+  add_definitions(/W0)
 endif(MSVC)
 
 find_package(Threads)
@@ -76,6 +80,10 @@
   add_definitions(-DOPENGTL_ENABLE_DEBUG_OUTPUT)
 endif(OPENGTL_ENABLE_DEBUG_OUTPUT)
 
+if(OPENGTL_ENABLE_DEBUG_THREAD)
+  add_definitions(-DOPENGTL_ENABLE_DEBUG_THREAD)
+endif(OPENGTL_ENABLE_DEBUG_THREAD)
+
 if(NOT LLVM_COMPILED_WITHOUT_ASSERTS)
   if(OVERIDE_LLVM_ASSERT)
     message(STATUS "llvm was build with asserts, this is not supported by OpenGTL but you have enable the overide")
@@ -85,7 +93,7 @@
 endif(NOT LLVM_COMPILED_WITHOUT_ASSERTS)
 
 if(OPENGTL_FULL_WARNINGS)
-  set(OPENGTL_BUILD_DEFINITION "-Wall -Werror")
+  set(OPENGTL_BUILD_DEFINITION "-Waddress -Warray-bounds -Wc++0x-compat -Wchar-subscripts -Wcomment -Wformat -Wmissing-braces -Wparentheses -Wreorder -Wreturn-type -Wsequence-point -Wsign-compare -Wstrict-aliasing -Wstrict-overflow=1 -Wswitch -Wtrigraphs -Wuninitialized -Wunknown-pragmas -Wunused-function -Wunused-label -Wunused-value -Wvolatile-register-var -Werror -Wno-deprecated-declarations") # -Wall without -Wunused-variable  since it is buggy in gcc 4.6
 endif(OPENGTL_FULL_WARNINGS)
 
 if(CMAKE_SIZEOF_VOID_P EQUAL 4)
@@ -186,8 +194,13 @@
 
 # Add subdirectories
 
+option(OPENGTL_BUILD_OPENRIJN "Build OpenRijn" OFF)
+
 add_subdirectory(OpenGTL)
 add_subdirectory(OpenCTL)
 add_subdirectory(OpenShiva)
 add_subdirectory(Extensions)
 
+if(OPENGTL_BUILD_OPENRIJN)
+  add_subdirectory(OpenRijn)
+endif(OPENGTL_BUILD_OPENRIJN)
