=== OpenGTL/GTLCore/CMakeLists.txt ===
--- 
+++ 
@@ -42,6 +42,7 @@
 ## GTLCore library ##
 
 set(GTLCore_SRCS
+  AbstractColorConverter.cpp
   AbstractImage.cpp
   Array.cpp
   Buffer.cpp
@@ -49,6 +50,7 @@
   Debug.cpp
   ChannelsFlags.cpp
   Color.cpp
+  ColorConverters.cpp
   CompilationMessage.cpp
   CompilationMessages.cpp
   Function.cpp
@@ -62,8 +64,10 @@
   Type.cpp
   TypesManager.cpp
   Value.cpp
+  Value_p.cpp
   Version.cpp
 # Internal files
+  ChannelMaths.cpp
   CompilerBase_p.cpp
   ConvertCenter_p.cpp
   ErrorMessages_p.cpp
@@ -73,6 +77,7 @@
   LexerBase_p.cpp
   MemoryManager_p.cpp
   ModuleData_p.cpp
+  OperatorOverloadCenter_p.cpp
   ParserBase_p.cpp
   SharedPointer.cpp
   Token_p.cpp
@@ -114,6 +119,10 @@
   Metadata/TextEntry.cpp
   Metadata/ValueEntry.cpp
   Metadata/Factory_p.cpp
+# TimeMachine
+  TimeController.cpp
+  TimeMachine.cpp
+  TimeValue_p.cpp
 # wrappers
   wrappers/Allocate.cpp
   wrappers/ProgressReportWrap.cpp
@@ -163,6 +172,8 @@
   ScopedName.h
   StdTypes.h
   String.h
+  TimeController.h
+  TimeMachine.h
   Transform.h
   Type.h
   TypesManager.h
@@ -170,7 +181,12 @@
   Version.h
   DESTINATION ${INCLUDE_INSTALL_DIR}/GTLCore )
 
-install( FILES Metadata/ParameterEntry.h Metadata/Entry.h Metadata/Group.h Metadata/TextEntry.h DESTINATION ${INCLUDE_INSTALL_DIR}/GTLCore/Metadata )
+install( FILES
+  Metadata/ParameterEntry.h
+  Metadata/Entry.h
+  Metadata/Group.h
+  Metadata/TextEntry.h
+  DESTINATION ${INCLUDE_INSTALL_DIR}/GTLCore/Metadata )
 
 # Create and install pc file
 configure_file("GTLCore.pc.cmake" "${CMAKE_CURRENT_BINARY_DIR}/GTLCore.pc" @ONLY)
