=== OpenShiva/tools/CMakeLists.txt ===
add_subdirectory(compiler)
add_subdirectory(interpreter)
add_subdirectory(tester)
add_subdirectory(shivainfo)
add_subdirectory(shivanimator)
