=== debian/changelog ===
opengtl (0.9.16-0ubuntu2) precise; urgency=low

  * Fix breaks entries in debian/control to be conflicts

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 13 Mar 2012 09:10:04 +0000

opengtl (0.9.16-0ubuntu1) precise; urgency=low

  * New upstream release
  * Remove shared-llvm-lib.diff now upstream
  * Add kubuntu_01_llvm_3.0.diff to find llvm-config-3.0
  * SONAME change 0.7 to 0.8, update package names to match

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 12 Mar 2012 14:55:22 +0000

opengtl (0.9.15.1-0ubuntu2) precise; urgency=low

  * Fix symbols file.
  * Enable parallel building.
  * Bump Standards-Version to 3.9.2, no changes needed.

 -- Felix Geyer <debfx@ubuntu.com>  Sun, 11 Dec 2011 19:23:07 +0100

opengtl (0.9.15.1-0ubuntu1) precise; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 09 Dec 2011 12:19:45 +0000
