=== debian/control ===
--- 
+++ 
@@ -3,16 +3,16 @@
 Priority: extra
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Jonathan Riddell <jriddell@ubuntu.com>
-Build-Depends: debhelper (>= 7), cmake, llvm-2.8-dev, texlive-latex-base, texlive-binaries, imagemagick, libpng-dev, zlib1g-dev, texlive-latex-recommended, pkg-kde-tools
-Standards-Version: 3.8.4
+Build-Depends: debhelper (>= 7), cmake, llvm-3.0-dev, texlive-latex-base, texlive-binaries, imagemagick, libpng-dev, zlib1g-dev, texlive-latex-recommended, pkg-kde-tools
+Standards-Version: 3.9.2
 Homepage: http://www.opengtl.org/
 
-Package: libgtlcore0.7
+Package: libgtlcore0.8
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Replaces: libgtlcore0
-Conflicts: libgtlcore0
+Replaces: libgtlcore0, libgtlcore0.7
+Conflicts: libgtlcore0, libgtlcore0.7
 Description: Graphics Transformation Libraries
  OpenGTL, Graphics (or Generics) Transformation Libraries (Languages).
  .
@@ -22,12 +22,12 @@
  .
  This package contains the libgtlcore and libshiva libraries.
 
-Package: libgtlimageio0.7
+Package: libgtlimageio0.8
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Replaces: libgtlcore0, libgtlcore-dev
-Conflicts: libgtlcore0, libgtlcore-dev
+Replaces: libgtlcore0, libgtlcore-dev, libgtlimageio0.7
+Conflicts: libgtlcore0, libgtlcore-dev, libgtlimageio0.7
 Description: Graphics Transformation Libraries Image IO
  OpenGTL, Graphics (or Generics) Transformation Libraries (Languages).
  .
@@ -37,12 +37,25 @@
  .
  This package contains the libgtlimageio library.
 
-Package: libopenshiva0.7
+Package: libgtlfragment0.8
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Replaces: libgtlcore0
-Conflicts: libgtlcore0
+Description: Graphics Transformation Libraries Fragment Library
+ OpenGTL, Graphics (or Generics) Transformation Libraries (Languages).
+ .
+ Tools, languages and libraries to create generic transformation for
+ graphics. Those transformations could then be used by different
+ programs
+ .
+ This package contains the libgtlfragment library.
+
+Package: libopenshiva0.8
+Section: libs
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Replaces: libgtlcore0, libopenshiva0.7
+Conflicts: libgtlcore0, libopenshiva0.7
 Description: Graphics Transformation Libraries Shiva
  OpenGTL, Graphics (or Generics) Transformation Libraries (Languages).
  .
@@ -55,12 +68,12 @@
  .
  This package contains the libopenshiva library.
 
-Package: libopenctl0.7
+Package: libopenctl0.8
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Replaces: libopenctl0
-Conflicts: libopenctl0
+Replaces: libopenctl0, libopenctl0.7
+Conflicts: libopenctl0, libopenctl0.7
 Description: OpenCTL from Graphics Transformation Libraries
  OpenGTL, Graphics (or Generics) Transformation Libraries (Languages).
  .
@@ -74,9 +87,9 @@
 Package: opengtl-dev
 Section: libdevel
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libgtlcore0.7 (= ${binary:Version}), 
- libgtlimageio0.7 (= ${binary:Version}), libopenshiva0.7 (= ${binary:Version}),
- libopenctl0.7 (= ${binary:Version})
+Depends: ${shlibs:Depends}, ${misc:Depends}, libgtlcore0.8 (= ${binary:Version}), 
+ libgtlimageio0.8 (= ${binary:Version}), libopenshiva0.8 (= ${binary:Version}),
+ libopenctl0.8 (= ${binary:Version})
 Replaces: libgtlcore-dev, libopenctl-dev
 Conflicts: libgtlcore-dev, libopenctl-dev
 Description: Graphics Transformation Libraries development files
